WordPress.org

Ready to get started?Download WordPress

Forums

NextGEN Gallery
[resolved] Unable to upgrade (20 posts)

  1. jdelellis
    Member
    Posted 1 year ago #

    I am unable to access my gallery, all I get is this:

    "The script detect that you upgrade from a older version. Your database tables for NextGEN Gallery is out-of-date, and must be upgraded before you can continue. If you would like to downgrade later, please make first a complete backup of your database and the images.

    The upgrade process may take a while, so please be patient.

    Start upgrade now..."

    When I press Start Upgrade now, nothing happens. What do I do?

    http://wordpress.org/extend/plugins/nextgen-gallery/

  2. inTagger
    Member
    Posted 1 year ago #

    I have the same behavior after updating to 1.9.9 on WP 3.5.

  3. FritzU
    Member
    Posted 1 year ago #

    When I try the same I get the fatal error

    "Call to undefined function ngg_upgrade() in /var/www/vhosts/leimenblog.de/public_html/wp-content/plugins/nextgen-gallery/admin/upgrade.php on line 179"

    I guess that (deinstallin and) installing the latest version from scratch will delete all existing galleries, which is NOT a good idea.

    So what can I do?

  4. hlourenssen
    Member
    Posted 1 year ago #

    I have the same problem as mentioned above. The galleries are still displayed on the website but i'm not able to manage the galleries.

  5. lvsn
    Member
    Posted 1 year ago #

    Same here, and when I want to add any photo from the media library to the post, it says there are no media files.

  6. inTagger
    Member
    Posted 1 year ago #

  7. FritzU
    Member
    Posted 1 year ago #

    Hi inTagger - could you please explain a bit?

    I.e. what I (we) have to do with that stuff?
    I`m not a programmer, just "normal" low level admin ...

    Does it mean take out read line and insert green lines in the code??

    Could you post somewhere the corrected version of the file - which would make it much easier and saver for people like me.

    Thanks a lot

    Fritz

  8. PowieT
    Member
    Posted 1 year ago #

    Same problem here!

  9. inTagger
    Member
    Posted 1 year ago #

    @Fritzu, I'm not a php-developer, and just point where the code was changed which caused this problem. I think NGG developer should fix this ASAP. Waiting for update...

  10. Der_Sand
    Member
    Posted 1 year ago #

    I have the same Problem here
    Fatal error: Call to undefined function ngg_upgrade() .../wp-content/plugins/nextgen-gallery/admin/upgrade.php on line 179

    What can i do?

  11. juozascc
    Member
    Posted 1 year ago #

    I had this problem today. I not programer, but I made this:
    1. I downloaded previos version (1.9.8) from here http://wordpress.org/extend/plugins/nextgen-gallery/developers/
    2. In folder nexgen-galery/admin there are file upgrade.php
    3. Replaced new version file with older version .

    Now it works. (for me)

  12. lvsn
    Member
    Posted 1 year ago #

    I did that, and now have 1.9.8.

    Site is still messed up, but it's probably the WordPress 3.5 problem (can not view my pictures in my Media Library and add them to posts and can not set the Featured image).

  13. juozascc
    Member
    Posted 1 year ago #

    I am using WP 3.4.2 ,seems evetything works . ( add pictures to galleries, insert them to posts ).
    You can try to upgrade nextgen via WP panel after file changes.

  14. DesignAc
    Member
    Posted 1 year ago #

    Same problem here... After upgrading my WP to the latest version, I upgraded my NGG plugin and now I'm having:

    Fatal error: Call to undefined function ngg_upgrade() in .../wp-content/plugins/nextgen-gallery/admin/upgrade.php on line 179

    error.

    My galleries are still showing up in front-end but in admin section I can't do anything with NGG Gallery panel.... It keeps saying:
    The script detect that you upgrade from a older version. Your database tables for NextGEN Gallery is out-of-date, and must be upgraded before you can continue. If you would like to downgrade later, please make first a complete backup of your database and the images.

    The upgrade process may take a while, so please be patient.

    Start upgrade now...

  15. akdwivedi
    Member
    Posted 1 year ago #

    @juozascc your solution worked for me! Thanks a ton!!!

    -Abhi

  16. paracleteweb
    Member
    Posted 1 year ago #

    @juozascc solution appears to work. Use an old version of upgrade.php in nexgen-galery/admin and the upgrade runs.

  17. paracleteweb
    Member
    Posted 1 year ago #

  18. kendallinternet
    Member
    Posted 1 year ago #

    Thanks @juozascc - that fixed it!

    It appears that the upgrade.php in 199 doesn't work but the one in 198 does.

    So all I had to do was:

    1. Download v198 to my computer [1.9.8 (svn) link under "Other versions" on Developers tab in Plugin Directory]
    2. Deactivate NextGEN plugin and delete folder from server
    3. Upload the zip'd v198 file [Plugins -> Add New -> Upload]
    4. Activate v198 NextGEN plugin
    5. Click link shown in warning message / use Gallery menu to upgrade the database
    6. All works again - then optionally update to v199 NextGEN plugin (successfully this time!):
    6a. Click update now on v198 NextGEN plugin to update to v199
    6b. Plugin reactivates and no further database update is required
    6c. All works fine again - phew!

    ...and relax.

  19. photocrati
    Member
    Plugin Author

    Posted 1 year ago #

    Hey everyone,

    We just released v1.9.10 that should resolve this error.

  20. paracleteweb
    Member
    Posted 1 year ago #

    @photocrati v1.9.10 does resolve this issue, thanks

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic